<?php
	error_reporting(E_ERROR|E_PARSE);  //Silence Errors
	
//Init Variables
	$beer_api = '71515667a86b8ec7f58cd22e3af86f6e';
	$gmaps_api = 'ABQIAAAA_6h1iP7xkNWbJaJtdQExbxQoasim_Ec9007jwQbCPHO_oeeE-RTam6RjbglJrcjrbo6lqh5Wmpn8uQ'; 

//Set Location
	if ( isset($_POST['loc']) ) {
		//via user input
		$location = $_POST['loc']; 
	} else {
		//Visitor IP Address
		$ip = getenv("REMOTE_ADDR");
		
		//via IPLoc
		$iploc = file_get_contents("http://iploc.mwudka.com/iploc/$ip/json/");  //Format: JSON
		$ipdata = json_decode($iploc, true);
		
		// Error checking
		if ($ipdata['city']) { 
			$city = $ipdata['city'];
			$state = $ipdata['region'];
			//$location = $city .", ". $state;
			$location = $city; //sometimes this works better
		} else {
			$err = "No location data returned for your IP address: ". $ip; 
		}
		
	}

//Phoogle - GoogleMaps PHP Class
	require_once 'phoogle.php';
	$map = new PhoogleMap();
	$map->setAPIKey($gmaps_api);
	$map->setHeight(450);
	$map->setWidth(750);
	$map->zoomLevel = 6;
	$map->showType = false;

	

//BeerMapping - Format: XML
	//Format Location for use with API
	$locationF = str_replace(", ", ",", $location); // Remove space before "State"
	$locationF = str_replace(" ", "_", $locationF); // Replace space with underscore in "City" name
	
	//Make API Call
	$beerdata = simplexml_load_file ("http://beermapping.com/webservice/loccity/$beer_api/$locationF");
	
	// Error checking
	$beererr = $beerdata->location->id;
	if ($beererr == '0') { 
		$err = "No breweries were found in ". $location; 
	} else {
		$breweries = $beerdata->location;
		$barcount = count($breweries);
		
		foreach ($breweries as $brewery) {
			$name = $brewery->name;
			$link = $brewery->reviewlink;
			$street = $brewery->street;
			$city = $brewery->city;
			$state = $brewery->state;
			$zip = $brewery->zip;
			$phone = $brewery->phone;
			
			//Location Point set for the Phoogle API
			$map->addAddress("$street $city $state $zip", "<a href='$link' title='$name BeerMap'>$name</a><br/>$street<br />$city, $state $zip<br />Phone: $phone");
		} 
	}
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<title>The Beer Mashup</title>
</head>
	<body>
	<div class="wrapper">
		<div class="header">
			<img class="logo" src="images/logo.png" alt="The Beer Mashup" />
			
			<p class="footer">Developed by <a href="http://www.cagintranet.com">Chris Cagle</a> for <a href="http://www.nettuts.com">NETTUTS</a></p>
	
			<form method="post" id="form" action="beermashup2.php">
				<span>location: (ex. <em>New Orleans, LA</em>)</span>
				<input type="text" value="" name="loc" id="loc" /><br class="clear" />
				<input type="submit" id="submitted" value="SEARCH" name="submitted" />
			</form>
		
			<div class="mapdiv">
				<?php 
				if (!$err) {
					echo "<div>";
					$map->printGoogleJS();
					$map->showMap();
					echo "<h3>". $location ." <span>(". $barcount ." Bars)</span></h3>";
				} else {
					echo "<p class=\"error\"><b>". $err ."</b></p>";
				} 
				?>
			</div>
		</div>	
	</div>	
	</body>
</html>